R10B10 and gcc-4.0.x ?

Kostis Sagonas <>
Wed May 3 17:50:41 CEST 2006


 > Are there any known issues with compiling R10B10 with gcc-4.0.x?

I got a new machine yesterday which runs Debian Linux.
Debian comes with gcc-4.0.3 as default.
I experienced trouble building R11 on it -- note: not R10B10

I then switched to gcc-4.1.0 (in fact to the whole 4.1.0 stuff such
as gpp) and the troubles went away.  I did not investigate the issue
further, but if your system is a Debian one, then I recommend
switching to gcc-4.1.0 (which is currently in 'testing' status,
but appears to be very stable).

Hope this helps, although I am not sure this is related to your problem.

Kostis




More information about the erlang-questions mailing list